XAMPP and Zend Loader

Problems with the Windows version of XAMPP, questions, comments, and anything related.

XAMPP and Zend Loader

Postby ebs123 » 09. February 2012 04:56

Hi:

I am currently running XAMPP 1.7.5 on Windows 7 and I need to run some PHP eval code that's encoded by Zend Guard. Being that XAMPP has PHP 5.3.X, I need to have Zend Loader in order to decode it.

I have read a lot on this and other forums, but is there a clear answer as to whether I can do that? If the answer is not with XAMPP 1.7.5, what version of XAMPP I have to use in order to use either Zend Optimizer or Loader?

Thanks a lot for your help.
ebs123
 
Posts: 3
Joined: 09. February 2012 04:50
Operating System: Windows 7

Re: XAMPP and Zend Loader

Postby Altrea » 09. February 2012 05:40

Hi ebs123,

ebs123 wrote:is there a clear answer as to whether I can do that?

Zend Loader which is part of Zend Guard needs a NTS (non threadsafe) built of PHP. XAMPP comes with the TS built. They are not compatible to each other.

short, simple and clean answer, i think.

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: XAMPP and Zend Loader

Postby ebs123 » 09. February 2012 13:46

Yes, indeed :-)

What options do I have in order to run the encoded PHP code? Does what you stated applicable to all versions of XAMPP? I read somewhere about going back to XAMPP 1.7.1 would help, any details on that?

What do others do? run Zend Server? It replaces the entire XAMPP stack is how I understand.

Thanks.
ebs123
 
Posts: 3
Joined: 09. February 2012 04:50
Operating System: Windows 7

Re: XAMPP and Zend Loader

Postby Altrea » 10. February 2012 05:53

Hi ebs123,

ebs123 wrote:Does what you stated applicable to all versions of XAMPP?

Zend Guard is incompatible with all XAMPP versions which comes with PHP 5.3+ (XAMPP >= 1.7.2).

ebs123 wrote:I read somewhere about going back to XAMPP 1.7.1 would help, any details on that?

Yes. XAMPP 1.7.1 was the last XAMPP release with PHP 5.2 and comes already with Zend Optimizer 3.3.0. Give it a try

ebs123 wrote:What do others do? run Zend Server? It replaces the entire XAMPP stack is how I understand.

I use Zend Server (CE) for most of my production Servers and some of my development machines.
In my optinion it is more easy to use Zend Server of you want to use other Zend products too.

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: XAMPP and Zend Loader

Postby ebs123 » 10. February 2012 16:36

This completely answered my question. Thank you!
ebs123
 
Posts: 3
Joined: 09. February 2012 04:50
Operating System: Windows 7


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 43 guests